[SciPy-user] Installing SciPy on Intel Macs

Travis Oliphant oliphant.travis at ieee.org
Thu Oct 19 08:48:08 CDT 2006

Sam frizou wrote:
> Hi,
> I installed succesfully the latest version of numpy and scipy on my
> macintel (as described on the scipy wesite:
> -Apple's developer tools
> -gcc-intel-bin.tar.gz
> -fftw version 3.1.2
> -numpy 1.0.rc2
> -scipy-0.5.1
> ).
> But, when I do
> from scipy import *
> I have an error which I think is one you describe:
> ImportError: Failure linking new module:
> /Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/scipy/sparse/sparsetools.so:
> Symbol not found: ___dso_handle
>   Referenced from:
> /Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/scipy/sparse/sparsetools.so
>   Expected in: dynamic lookup
> So, I downloaded and installed cctools 590.36. (the dmg)
> Then reinstalled scipy doing
> python setup.py build
> sudo python serup.py install
You need to remove the build directory and redo the install.  Otherwise 
the codes are not re-linked using the upgraded cctools.

That's all I did and it seemed to work.

> I read on previous mails that this can be avoid by commentting
> something concerning sparse matrices, but I need them.
I think that's a separate issue.


More information about the SciPy-user mailing list